// This file was generated by SquareLine Studio
// SquareLine Studio version: SquareLine Studio 1.4.0
// LVGL version: 8.3.6
// Project name: Cardv

#include "../ui.h"

void ui_PlaybackScreen_screen_init(void)
{
    ui_PlaybackScreen = lv_obj_create(NULL);
    lv_obj_clear_flag(ui_PlaybackScreen, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_PlaybackScreen, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_PlaybackScreen, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_PlayBackFileListPanel = lv_obj_create(ui_PlaybackScreen);
    lv_obj_set_width(ui_PlayBackFileListPanel, 854);
    lv_obj_set_height(ui_PlayBackFileListPanel, 480);
    lv_obj_set_align(ui_PlayBackFileListPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_PlayBackFileListPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_PlayBackFileListPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_PlayBackFileListPanel, lv_color_hex(0x1F1F1F), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_PlayBackFileListPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_PlayBackFileListPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_PlayBackFileListPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_FileListPanel = lv_obj_create(ui_PlayBackFileListPanel);
    lv_obj_set_width(ui_FileListPanel, 800);
    lv_obj_set_height(ui_FileListPanel, 370);
    lv_obj_set_x(ui_FileListPanel, 0);
    lv_obj_set_y(ui_FileListPanel, 30);
    lv_obj_set_align(ui_FileListPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_FileListPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_FileListPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_FileListPanel, lv_color_hex(0x2F2F2F), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_FileListPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_FileListPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_FileListPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_BackButton = lv_btn_create(ui_PlayBackFileListPanel);
    lv_obj_set_width(ui_BackButton, 100);
    lv_obj_set_height(ui_BackButton, 50);
    lv_obj_set_x(ui_BackButton, -330);
    lv_obj_set_y(ui_BackButton, -198);
    lv_obj_set_align(ui_BackButton, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_BackButton, LV_OBJ_FLAG_SCROLL_ON_FOCUS);     /// Flags
    lv_obj_clear_flag(ui_BackButton, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_BackButton, 5, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_BackButton, lv_color_hex(0x351BCF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_BackButton, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_BackButton, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_BackButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_BackButtonLabel = lv_label_create(ui_BackButton);
    lv_obj_set_width(ui_BackButtonLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_BackButtonLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_BackButtonLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_BackButtonLabel, "Return");
    lv_obj_set_style_text_font(ui_BackButtonLabel, &lv_font_montserrat_24, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_DeleteButton = lv_btn_create(ui_PlayBackFileListPanel);
    lv_obj_set_width(ui_DeleteButton, 100);
    lv_obj_set_height(ui_DeleteButton, 50);
    lv_obj_set_x(ui_DeleteButton, 330);
    lv_obj_set_y(ui_DeleteButton, -198);
    lv_obj_set_align(ui_DeleteButton, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_DeleteButton, LV_OBJ_FLAG_SCROLL_ON_FOCUS);     /// Flags
    lv_obj_clear_flag(ui_DeleteButton, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_DeleteButton, 5, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_DeleteButton, lv_color_hex(0x351BCF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_DeleteButton, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_DeleteButton, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_DeleteButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_DeleteButtonLabel = lv_label_create(ui_DeleteButton);
    lv_obj_set_width(ui_DeleteButtonLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_DeleteButtonLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_DeleteButtonLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_DeleteButtonLabel, "Delete");
    lv_obj_set_style_text_font(ui_DeleteButtonLabel, &lv_font_montserrat_24, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_CurFileLabel = lv_label_create(ui_PlayBackFileListPanel);
    lv_obj_set_width(ui_CurFileLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_CurFileLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_CurFileLabel, 0);
    lv_obj_set_y(ui_CurFileLabel, -198);
    lv_obj_set_align(ui_CurFileLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_CurFileLabel, "1/100");
    lv_obj_set_style_text_color(ui_CurFileLabel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_CurFileLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_CurFileLabel, &lv_font_montserrat_24, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_PlayBackPanel = lv_obj_create(ui_PlaybackScreen);
    lv_obj_set_width(ui_PlayBackPanel, 854);
    lv_obj_set_height(ui_PlayBackPanel, 480);
    lv_obj_set_align(ui_PlayBackPanel, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_PlayBackPanel, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_PlayBackPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_PlayBackPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_PlayBackPanel, lv_color_hex(0x1F1F1F), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_PlayBackPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_PlayBackPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_PlayBackPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_DateTimeLabel = lv_label_create(ui_PlayBackPanel);
    lv_obj_set_width(ui_DateTimeLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_DateTimeLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_DateTimeLabel, 0);
    lv_obj_set_y(ui_DateTimeLabel, -215);
    lv_obj_set_align(ui_DateTimeLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_DateTimeLabel, "2024.05.05  Wednesday");
    lv_obj_set_style_text_color(ui_DateTimeLabel, lv_color_hex(0x808080), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_DateTimeLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_DateTimeLabel, &lv_font_montserrat_24, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_PlayButton = lv_btn_create(ui_PlayBackPanel);
    lv_obj_set_width(ui_PlayButton, 40);
    lv_obj_set_height(ui_PlayButton, 40);
    lv_obj_set_align(ui_PlayButton, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_PlayButton, LV_OBJ_FLAG_SCROLL_ON_FOCUS);     /// Flags
    lv_obj_clear_flag(ui_PlayButton, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_PlayButton, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_PlayButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_PlayButton, &ui_img_player_play_sel_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_PlayButton, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_PlayButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_NextButton = lv_btn_create(ui_PlayBackPanel);
    lv_obj_set_width(ui_NextButton, 40);
    lv_obj_set_height(ui_NextButton, 40);
    lv_obj_set_x(ui_NextButton, 380);
    lv_obj_set_y(ui_NextButton, 0);
    lv_obj_set_align(ui_NextButton, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_NextButton, LV_OBJ_FLAG_SCROLL_ON_FOCUS);     /// Flags
    lv_obj_clear_flag(ui_NextButton, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_NextButton, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_NextButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_NextButton, &ui_img_player_fast_sel_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_NextButton, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_NextButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_LastButton = lv_btn_create(ui_PlayBackPanel);
    lv_obj_set_width(ui_LastButton, 40);
    lv_obj_set_height(ui_LastButton, 40);
    lv_obj_set_x(ui_LastButton, -380);
    lv_obj_set_y(ui_LastButton, 0);
    lv_obj_set_align(ui_LastButton, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_LastButton, LV_OBJ_FLAG_SCROLL_ON_FOCUS);     /// Flags
    lv_obj_clear_flag(ui_LastButton, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_LastButton, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_LastButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_LastButton, &ui_img_player_slow_sel_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_LastButton, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_LastButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_CurPlayTime = lv_bar_create(ui_PlayBackPanel);
    lv_bar_set_value(ui_CurPlayTime, 25, LV_ANIM_OFF);
    lv_bar_set_start_value(ui_CurPlayTime, 0, LV_ANIM_OFF);
    lv_obj_set_width(ui_CurPlayTime, 800);
    lv_obj_set_height(ui_CurPlayTime, 10);
    lv_obj_set_x(ui_CurPlayTime, 0);
    lv_obj_set_y(ui_CurPlayTime, 220);
    lv_obj_set_align(ui_CurPlayTime, LV_ALIGN_CENTER);

    ui_PlayBackButton = lv_btn_create(ui_PlayBackPanel);
    lv_obj_set_width(ui_PlayBackButton, 40);
    lv_obj_set_height(ui_PlayBackButton, 40);
    lv_obj_set_x(ui_PlayBackButton, -380);
    lv_obj_set_y(ui_PlayBackButton, -210);
    lv_obj_set_align(ui_PlayBackButton, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_PlayBackButton, LV_OBJ_FLAG_SCROLL_ON_FOCUS);     /// Flags
    lv_obj_clear_flag(ui_PlayBackButton, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_PlayBackButton, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_PlayBackButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_PlayBackButton, &ui_img_player_updir_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_PlayBackButton, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_PlayBackButton, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    lv_obj_add_event_cb(ui_BackButton, ui_event_BackButton, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_DeleteButton, ui_event_DeleteButton, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_PlaybackScreen, ui_event_PlaybackScreen, LV_EVENT_ALL, NULL);

}
